Subject: Re: bug#72389: Unfair prompts and documentation of Emergency Escape

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Aug 2024 14:43:59 +0300

> From: Stephen Berman <[email-masked]>
> Cc: Dan Jacobson <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 04 Aug 2024 13:23:17 +0200
> 
> On Sun, 04 Aug 2024 13:43:04 +0300 Eli Zaretskii <[email-masked]> wrote:
> 
> >> From: Dan Jacobson <[email-masked]>
> >> Cc: [email-masked], [email-masked]
> >> Date: Sun, 04 Aug 2024 18:36:57 +0800
> >>
> >> >> Emacs is resuming after an emergency escape.
> >> >> Auto-save? (y or n)
> >> Say: Auto-save? (y or n, RET)
> >>
> >> >> Abort (and dump core)? (y or n)
> >> Say: Abort (and dump core)? (y or n, RET)
> >>
> >> Also say that in (info "(emacs) Emergency Escape").
> >
> > Any key except 'y' will do the same as 'n'.  So we have to say
> >
> >   Auto-save? (y or n, RET, a, b, c, d, e, f, ..., A, B, C, D, E, F,...)
> >
> > Right?
> >
> > More importantly, this text:
> >
> >   (y or n, RET)
> >
> > doesn't really say what will RET do.
> 
> Instead of asking a question, what about something like this:
> 
>   Type 'y' to auto-save.
>   Type 'y' to abort (and dump core).
> 
> and perhaps adding something like "(typing any other key does nothing)"
> for completeness?  Or a similar or more suitable message could be
> displayed on typing any other key.

When someone gets presented these messages, they are panicking.  They
are in stress because their precious session is about to crash and
they are about to lose their edits.  The text we present should
therefore be short, and it should be clear.  It shouldn't be a legal
document full of caveats and terms&conditions and other kind of
lawyer style language.

Now, "Auto-save? (y or n)" is short, and is clear, and tells me
exactly what to do: press "y" or press "n", nothing else.  Anything we
add will just make it longer and harder to read in a stress and more
likely to confuse.  For example, "Type 'y' to auto-save." leaves me
wondering what do I do if I don't want to auto-save.

Why do we need to complicate this?  I don't think we should.